/*****************************************************
This program was produced by the
CodeWizardAVR V2.03.4 Standard
Automatic Program Generator
 Copyright 1998-2008 Pavel Haiduc, HP InfoTech s.r.l.
http://www.hpinfotech.com

Project : 
Version : 
Date    : 30.06.2009
Author  : 
Company : 
Comments: 


Chip type           : ATmega8
Program type        : Application
Clock frequency     : 8,000000 MHz
Memory model        : Small
External RAM size   : 0
Data Stack size     : 256
*****************************************************/

#include <mega8.h>

// Analog Comparator interrupt service routine
interrupt [ANA_COMP] void ana_comp_isr(void)
{
PORTB.2 = 0;

//ACSR.3 = 0; //    
}

void __io_digi_init () //  /
{
DDRB = 0b00001111; //PB0-PB4 - ,    
PORTB = 0b11111101;

DDRC = 0b00000; //PC0, PC1 -  ADC,    
PORTC = 0b11100;

DDRD = 0b000000; //RXD, TXD,   
PORTD = 0b111100;
}

void __analog_comp_init ()
{
// Analog Comparator initialization
// Analog Comparator: On
// The Analog Comparator's positive input is
// connected to the Bandgap Voltage Reference
// Interrupt on Output Toggle
// Analog Comparator Input Capture by Timer/Counter 1: Off
ACSR=0b01001000;
}

void main ()
{
__io_digi_init ();

__analog_comp_init ();

// Global enable interrupts
//#asm("sei")

while (1)
      {
       // Place your code here
	   PORTB.2 = !ACSR.5;   
       };
}